### Method

# ICalGLib Component begin_component

since: 1.0

#### Declaration [src]

    ICalCompIter*
    i_cal_component_begin_component (
      ICalComponent* component,
      ICalComponentKind kind
    )

#### Description [src]

Gets the `ICalCompIter` pointing to the first child `ICalComponent`.

Available since: 1.0

#### Parameters

`kind`

  Type: `ICalComponentKind`

  A `ICalComponentKind`.

#### Return value

Type: `ICalCompIter`

A `ICalCompIter`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.